/*
 * Copyright 2010 Semafor Informatik & Energie AG, Basel, Switzerland
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 */
package ch.semafor.gendas.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import ch.semafor.gendas.model.ElementType;

@Repository("elementTypeDao")
public class ElementTypeDaoImpl extends GenericDaoJpa<ElementType,Long>  
	implements ElementTypeDao{
	//final static private Logger logger = LoggerFactory.getLogger(ElementTypeDaoImpl.class);
	
	ElementTypeDaoImpl(){
		super(ElementType.class);
	}

	@SuppressWarnings("unchecked")
	public ElementType findByName( final String name) {
		final List<ElementType> l = getEntityManager() // NOPMD by wim on 9/20/10 8:56 AM
		.createQuery( "from ElementType where name = :name")
		. setParameter("name", name)
		.getResultList();
		 if (l == null || l.isEmpty()){
//			 logger.warn("type " + name + " not found");
			 return null; // NOPMD by wim on 9/20/10 8:55 AM
		 }
		return l.get(0);
	}

	public boolean exists(final String name) {
		return findByName( name )!= null;
	}
}
