/*
 * Copyright 2010 Semafor Informatik & Energie AG, Basel, Switzerland
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 */
package ch.semafor.gendas.dao;

import ch.semafor.gendas.model.CoreException;
import ch.semafor.gendas.model.PropertyType;

public interface PropertyTypeDao extends GenericDao<PropertyType, Long>{
	PropertyType findByName( String name ) throws CoreException;
	   /**
     * Checks for existence using the name arg.
     * @param name of the elementType
     * @return - true if it exists, false if it doesn't
     */
 	boolean exists(String name);

}
